/******/ // The require scope
/******/ var __wp_require__ = {};
/******/ 
/************************************************************************/
/******/ /* webpack/runtime/define property getters */
/******/ (() => {
/******/ 	// define getter functions for harmony exports
/******/ 	__wp_require__.d = (exports, definition) => {
/******/ 		for(var key in definition) {
/******/ 			if(__wp_require__.o(definition, key) && !__wp_require__.o(exports, key)) {
/******/ 				Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 			}
/******/ 		}
/******/ 	};
/******/ })();
/******/ 
/******/ /* webpack/runtime/hasOwnProperty shorthand */
/******/ (() => {
/******/ 	__wp_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ })();
/******/ 
/************************************************************************/
var __wp_exports__ = {};

// EXPORTS
__wp_require__.d(__wp_exports__, {
  "Z": () => (/* binding */ AwesomeHfc)
});

;// CONCATENATED MODULE: ./.hfc/propnames.js
/* harmony default export */ const propnames = ([["size","class","color"],[],[]]);
;// CONCATENATED MODULE: ./src/index.ts

const svgAttrs = [["xmlns","http://www.w3.org/2000/svg"],["viewBox","0 0 1024 1024"]];
const svgHtml = "<path d=\"M637 443H325c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h312c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8zm284 424L775 721c122.1-148.9 113.6-369.5-26-509c-148-148.1-388.4-148.1-537 0c-148.1 148.6-148.1 389 0 537c139.5 139.6 360.1 148.1 509 26l146 146c3.2 2.8 8.3 2.8 11 0l43-43c2.8-2.7 2.8-7.8 0-11zM696 696c-118.8 118.7-311.2 118.7-430 0c-118.7-118.8-118.7-311.2 0-430c118.8-118.7 311.2-118.7 430 0c118.7 118.8 118.7 311.2 0 430z\" fill=\"currentColor\"></path>";
class AwesomeHfc {
    constructor(container, props) {
        this.container = container;
        for (let i = 0; i < svgAttrs.length; i++) {
            container.setAttribute(svgAttrs[i][0], svgAttrs[i][1]);
        }
        this.render(props);
        container.innerHTML = svgHtml;
    }
    changed(props) {
        this.render(props);
    }
    disconnected() { }
    render(props) {
        if (props.attrs.size) {
            this.container.setAttribute("width", props.attrs.size);
            this.container.setAttribute("height", props.attrs.size);
        }
        if (props.attrs.class) {
            this.container.setAttributeNS(null, "class", props.attrs.class);
        }
        if (props.attrs.color) {
            this.container.style.fill = props.attrs.color;
            this.container.style.color = props.attrs.color;
        }
        bindToElement(this.container, props.others);
    }
}
AwesomeHfc.tag = "svg";
AwesomeHfc.props = propnames;
function bindToElement(elem, obj) {
    for (let i = 0, keys = Object.keys(obj); i < keys.length; i++) {
        const key = keys[i];
        const value = obj[key];
        if (key === "style") {
            if (typeof value === "object") {
                Object.assign(elem.style, value);
            }
            else {
                elem.style.cssText += value;
            }
            continue;
        }
        if (typeof value === "function") {
            elem[key] = function (event) {
                value(event);
            };
        }
        else {
            elem.setAttribute(key, value);
        }
    }
}

var __wp_exports__default = __wp_exports__.Z;
export { __wp_exports__default as default };
